/**
 * 
 */
package spring.dao;

import java.util.List;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import spring.domain.Contact;

/**
 * @author jconley
 *
 */
@Repository
public class ContactDAOImpl implements ContactDAO {
    @Autowired
    private SessionFactory sessionFactory;
 
    public void addContact(Contact contact) {
        sessionFactory.getCurrentSession().save(contact);
    }
 
    public List<Contact> listContact() {
        return sessionFactory.getCurrentSession().createQuery("from Contact").list();
    }
 
    public void deleteContact(Integer id) {
        Contact contact = (Contact) sessionFactory.getCurrentSession().load(Contact.class, id);
        if (null != contact) {
            sessionFactory.getCurrentSession().delete(contact);
        }
    }

	public Contact getContact(Integer id) {
		return (Contact)sessionFactory.getCurrentSession().createQuery("from Contact where ID = " + id).uniqueResult();
	}
}
